Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.stats
Interface TimedStatisticsRecorderMBean

All Superinterfaces:
  ObserverStatisticsRecorderMBean, StatisticsRecorderMBean

All Known Implementing Classes:
  TimedStatisticsRecorder

public interface TimedStatisticsRecorderMBean
extends ObserverStatisticsRecorderMBean

Management interface for TimedStatisticsRecorder MBeans.

Version:
  $Revision: 1.3 $

Method Summary
`long` | `getGranularity()` Returns how often the MBean will poll the variable value
`void` | `setGranularity(long granularity)` Sets how often the MBean will poll the variable value

Methods inherited from interface mx4j.tools.stats.ObserverStatisticsRecorderMBean
`getObservedAttribute, getObservedObject, setObservedAttribute, setObservedObject`

Methods inherited from interface mx4j.tools.stats.StatisticsRecorderMBean
`getAverage, getEntries, getMax, getMaxEntries, getMin, getRecordingStart, isActive, setMaxEntries, start, stop`

Method Detail

### setGranularity

    public void setGranularity(long granularity)

  Sets how often the MBean will poll the variable value

### getGranularity

    public long getGranularity()

  Returns how often the MBean will poll the variable value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.